package beilv.hik.controller;


import beilv.common.core.domain.AjaxResult;
import beilv.hik.controller.utils.GetCameraPreviewURL;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/app-api/hik")
public class AppHikController {


    @Value("${hik.appKey}")
    private String appKey;
    @Value("${hik.appSecret}")
    private String appSecret;
    @Value("${hik.host}")
    private String host;

    /**
     * 根据userId查询用户积分流水列表
     */
    @GetMapping("/getCameraPreviewURL/{cameraIndexCode}")
    @ResponseBody
    public AjaxResult getCameraPreviewURL(@PathVariable("cameraIndexCode") String cameraIndexCode) {
        String cameraPreviewURL = GetCameraPreviewURL.getCameraPreviewURL(host, appKey, appSecret, cameraIndexCode);
        return AjaxResult.success("操作成功",cameraPreviewURL);
    }

}
